/**
 * @file
 * Font Awesome icon picker behavior.
 */

(function ($, Drupal) {

  /**
   * Attach the icon picker widget.
   */
  Drupal.behaviors.fontAwesomeIconPicker = {
    attach: function (context, settings) {
      const input = $('.font-awesome-icon-picker', context);
      input.each(function (index, iconpickerInput) {
        const initialValue = iconpickerInput.value;
        const $iconpickerInput = $(iconpickerInput);
        const iconpickerInputData = $iconpickerInput.data();
        $('<button type="button" class="btn btn-primary iconpicker-component"></button>').insertBefore(iconpickerInput);

        $iconpickerInput.iconpicker(iconpickerInputData);
        // Initializing the icon picker with a default value also changes the input value.
        // This would transform empty form elements to be non-empty without use interaction.
        if (!initialValue) {
          iconpickerInput.value = '';
        }
      });
    }
  };

} (jQuery, Drupal));
